<?


if(isset($_GET['read_all']))
{
mysql_querll("UPDATE `kolhoz_mail` SET `read` = '1' WHERE `id_user` = '$ku[id]' AND `type` = 'to' AND `read` = '0'");
header("Location:?mail");
}
elseif(isset($_GET['del_all']))
{
if(isset($_GET['ok']))
{
$q=mysql_querll("SELECT * FROM `kolhoz_mail` WHERE `id_user` = '$ku[id]'");
while($post=mysql_fetch_array($q))
{
if($post['type']=='to' && $post['read']==1)mysql_querll("DELETE FROM `kolhoz_mail` WHERE `id` = '$post[id]'");
elseif($post['type']=='at')mysql_querll("DELETE FROM `kolhoz_mail` WHERE `id` = '$post[id]'");
}
header("Location:?mail");
}
podtv("?mail&del_all&ok","?mail");
include_once 'inc/foot.php';
}
elseif(isset($_GET['del']) && intval($_GET['del'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mail` WHERE `id` = '".intval($_GET['del'])."' AND `id_user` = '$ku[id]' LIMIT 1"),0)!=0)
{
mysql_querll("DELETE FROM `kolhoz_mail` WHERE `id` = '".intval($_GET['del'])."'");
header("Location:?mail");
}
elseif(isset($_GET['msg']) && intval($_GET['msg'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mail` WHERE `id` = '".intval($_GET['msg'])."' AND `id_user` = '$ku[id]' LIMIT 1"),0)!=0)
{
$msg=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_mail` WHERE `id` = '".intval($_GET['msg'])."' AND `id_user` = '$ku[id]' LIMIT 1"));
if($msg['type']=='to' && $msg['read']==0)
{
mysql_querll("UPDATE `kolhoz_mail` SET `read` = '1' WHERE `id` = '$msg[id]'");
mysql_querll("UPDATE `kolhoz_mail` SET `read` = '1' WHERE `id` = '".($msg['id']+1)."'");
header("Location:?mail&msg=$msg[id]");
}
if(isset($_GET['jalobgo']))
{
echo "<div class='event'><h1>Жалоба</h1></div><div class='content'><div class='block'>";
echo "Вы подаете жалобу на:<br>".output_text
($msg['msg'], ($msg['type']=='to'?$ank['id']:$ku['id']))."<br>";
echo '<form action="?mail&msg='.$msg['id'].'&jalobgo&go" method="post">';
echo 'Причина:<br/>';
echo '<textarea name="msggo"></textarea><br/>';
echo '<input type="submit" value="Отправить"/>';
echo '</form></div></div>';
if(isset($_GET['go'])){
$msggo=htmlspecialchars(mysql_real_escape_string(trim($_POST['msggo'])));
mysql_querll("INSERT INTO `kolhoz_jalob` (`msg`,`id_jalob`,`id_user`,`msg_jalob`,`read`)VALUES('$msggo','$msg[id_kont]','".$ku['id']."','$msg[msg]','0')");
header("Location:?mail&msg=$msg[id]");
}
include_once 'inc/foot.php';
}
$ank=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '$msg[id_kont]'"));
$anku=$ank;
echo "<div class='event'><h1>Просмотр сообщения</h1></div>";
echo '<div class="content"><div class="block">';

if(!isset($history))echo "<div class='block'><img width='16' height='16' src='img/icons/left.png' alt='o'> <a href='?mail'>Вся почта</a> | <a href='?mail&new'>Новая</a></div>";

echo "".($msg['type']=='to'?"<font color='#DAA520'>От</font>":"<font color='#FFD700'>Кому</font>").": ";
if($msg['id_kont']!=0)echo on_k($ank['id']);
//echo " ".($msg['id_kont']==0?"Почта":"<ahref='?user=$ank[id]'>".nc($ank['id'])."</a>")."<br/><b>".output_text($msg['msg'], ($msg['type']=='to'?$ank['id']:$ku['id']))."</b><br/><li class='small minor'><span>".vremja($msg['time'])."</span></li>".($msg['id_kont']==0?"":"<div class='block'><img src='img/icons/right.png' alt='o'> <a href='?mail&new_msg=$ank[id]'>Ответить</a> | <img src='img/icons/znak.png' alt='o'> <a href='?mail&msg=$msg[id]&jalobgo'>Жалоба</a><br>")." <img width='16' height='16' src='img/icons/del.png' alt='o'> <a href='?mail&del=$msg[id]'>Удалить</a> <img src='img/icons/mail.png' alt='o'> <a href='?mail&history=$ank[id]'>Переписка</a></div>";
echo " <a href='?user=$ank[id]'>";
echo "".nc($ank['id'])."";
echo "</a>";

echo "<br/><b>".output_text($msg['msg'], ($msg['type']=='to'?$ank['id']:$ku['id']))."</b><br/><li class='small minor'><span>".vremja($msg['time'])."</span></li>".($msg['id_kont']==0?"":"<div class='block'><img src='img/icons/right.png' alt='o'> <a href='?mail&new_msg=$ank[id]'>Ответить</a> | <img src='img/icons/znak.png' alt='o'> <a href='?mail&msg=$msg[id]&jalobgo'>Жалоба</a><br>")." <img width='16' height='16' src='img/icons/del.png' alt='o'> <a href='?mail&del=$msg[id]'>Удалить</a> <img src='img/icons/mail.png' alt='o'> <a href='?mail&history=$ank[id]'>Переписка</a></div>";



include_once 'inc/foot.php';
}
elseif(isset($_GET['new_msg']))
{
if(isset($_GET['ok']) && isset($_POST['nick']) && isset($_POST['msg']))
{
if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '".hsc($_POST['nick'])."'"),0)!=0)
{
$ank=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `nick` = '".hsc($_POST['nick'])."'"));
$anku=$ank;
}
if(!isset($ank))
{
$err=1;
err_game("Фермер ненайден");
}
if($_POST['msg']==NULL)
{
$err=1;
err_game("Сообщение слишком короткое");
}
//testim

if($ank['status']>0){

if($ank['mail']==1)
{
$err=1;
err_game("Почта закрыта играком <b>$ank[nick]</b>!");
}

if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_blacklist` WHERE `id_user` = '$ank[id]' AND `id_ank` = '$ku[id]' LIMIT 1"),0)!=0)
{
$err=1;
err_game("Этот пользователь внес Вас в чёрный список, Вы не можете отправлять ему сообщения.");
}
if ($ank['ank_mails'] == '2' && $ank['id'] != $ku['id'] && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_friends` WHERE `id_user` = '$ku[id]' && `id_ank` = '$ank[id]'"),0) == '0')
{
$err=1;
err_game("Этот пользователь принимает письма только от друзей.");
}
if($ku['level']<=14)
{
$err=1;
err_game("Писать в почту можно после того как достигните 15-го уровня!");
}
if($ku['time']<=3600*1)
{
$err=1;
err_game("Писать в почту после того как проведете в игре <b>1 часа</b>");
}


if($ku['almaz']<=1)
{
$err=1;
err_game("У вас нехватает баксов");
}

}//testik

if(!isset($err))
{
mysql_query("UPDATE `kolhoz_user` SET `almaz` = '".($ku['almaz']-1)."' WHERE `id` = '$ku[id]' LIMIT 1");
mysql_querll("INSERT INTO `kolhoz_mail` SET `id_user` = '$ank[id]', `id_kont` = '$ku[id]', `msg` = '".my_esc($_POST['msg'])."', `time` = '$time', `type` = 'to'");
mysql_querll("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[id]', `id_kont` = '$ank[id]', `msg` = '".my_esc($_POST['msg'])."', `time` = '$time', `type` = 'at', `read` = '1'");
$_SESSION['msg_ok']=1;
$_SESSION['msg_okk']=$ank['id'];
mysql_querll("UPDATE `kolhoz_user` SET `mailpost` = '".($ku['mailpost']+1)."' WHERE `id` = '$ku[id]' LIMIT 1");
mysql_querll("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+10)."' WHERE `id` = '$ku[id]' LIMIT 1");
header("Location:?mail");
}
}
else
{
if($_GET['new_msg']!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['new_msg'])."'"),0)!=0 && is_numeric(intval($_GET['new_msg'])))
{
$ank=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['new_msg'])."'"));
$anku=$ank;
}
}
echo "<div class='event'><h1>Отправка почты</h1></div>";
echo '<div class="content"><div class="block">';
$ban=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_ban` WHERE `id_user` = '$ku[id]' AND (`time` > '$time' OR `izg` = '1') ORDER BY `id` DESC LIMIT 1"));
$us_ban=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '$ban[id_who]'"));if($_GET['mkid']!=''){$_SESSION['id_user']=$_GET['mkid'];}
if($ban['id'])
{
echo "<li class='major'><span>".($ban['izg']==1?'Блок':"Бан до ".vremja($ban['time']))."</span>, выдал".($us_ban['pol']==0?'a':null)." <span>";
echo on_k($us_ban['id']);
echo "<a href='?user=$us_ban[id]'>".nc($us_ban['id'])."</a></span><span>, (".output_text($ban['msg']).")</span></li></div></ul>";
} else {
echo "<form action='?mail&new_msg".(isset($ank)?"=$ank[id]":null)."&ok' method='post'><div><label>Кому:<br><input type='block' class='wide' value='".(isset($ank)?"$anku[nick]":null)."' name='nick'></label></div><div><label>Сообщение: [<a href='?smiles'>Смайлы</a>]<br><textarea rows='5' class='wide' name='msg'></textarea></label></div><div><input type='submit' value='Отправить'> <font color='#33FFCC'>стоимость: <img src='img/icons/baks.png' alt='*'/>1</font></div></form></div>";
}
if($ank['status']==3 and $ku['status']<=2)
{
echo "<div class='block'><font color='yellow'>Прежде чем писать вопрос Администратору, попробуйте найти ответ самостоятельно на <a href='?forum'>форуме</a> или спросить у других <a href='?rating'>игроков</a>.<br>Не отвлекайте Администрацию по мелочам, от этого все мы будем только в выигрыше.</font></div>";
echo "</div>";
}
include_once 'inc/foot.php';
}
else
{
if(isset($_GET['history']) && intval($_GET['history'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['history'])."'"),0)!=0)
{
$history=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['history'])."'"));
$historyu=$history;
}
echo "<div class='event'><h1>Почта</h1></div>";
if(isset($_SESSION['msg_ok']))
{
$ak=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_SESSION['msg_okk'])."'"));
$aku=$ak;
echo "<div class='feedback'><span class='info'><center>Сообщение успешно отправлено <b>$aku[nick]!</b></center></span></div>";
unset($_SESSION['msg_ok']);
unset($_SESSION['msg_okk']);
}
echo '<div class="content"><div class="block">';
if(!isset($history))echo "<div class='block'><img width='16' height='16' src='img/mail/mail_filter.png' alt='o'> ".(isset($_GET['new'])?"<a href='?mail'>":null)."<span>Вся почта</span>".(isset($_GET['new'])?"</a>":null)." | ".(!isset($_GET['new'])?"<a href='?mail&new'>":null)."<span>Новая</span>".(!isset($_GET['new'])?"</a>":null)."</div>";

echo "<div class='block'>";

echo "<a href='?mail&new_msg'>Написать</a> | <a href='?settings'>Настройки</a> | ";
echo "<a href='?mail&del_all'> Очистить</a>";
if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mail` WHERE `id_user` = '$ku[id]' AND `read` = '0'"),0)!=0)
echo " | <a href='?mail&read_all'>Прочитать все</a>";

echo "</div>";

$k_post = mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mail` WHERE ".(isset($history)?"`id_kont` = '$history[id]' AND `id_user` = '$ku[id]'":"".(isset($_GET['new'])?"`read` = '0' AND ":null)."`id_user` = '$ku[id]'").""),0);
if ($k_post==0)
{
echo "".(isset($history)?"У вас нету переписки с $historyu[nick]":"Список пуст...")."";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_querll("SELECT * FROM `kolhoz_mail` WHERE ".(isset($history)?"`id_kont` = '$history[id]' AND `id_user` = '$ku[id]'":"".(isset($_GET['new'])?"`read` = '0' AND ":null)."`id_user` = '$ku[id]'")." ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '$post[id_kont]'"));
$anku=$ank;
echo "<div class='block'><img src='img/mail/";
if($post['type']=='to'){
if($post['read']==0){echo 'received_no_reads.png';} else {echo 'received_read.png';}
} else {
$post_read=mysql_fetch_array(mysql_querll("SELECT `read` FROM `kolhoz_mail` WHERE `id`='".($post['id']-1)."'"));
if($post_read['read']==0){echo 'sent_no_reads.png';} else {echo 'sent_read.png';}}
echo "' alt='o'><span>";
if($post['id_kont']!=0)echo on_k($ank['id']);
echo " ".($post['id_kont']==0?"Почтовый Сервис":"<a class='' href='?user=$ank[id]'>".nc($ank['id'])."</a>")."</span>";


if($post['type']=='to'){echo " <span class='minor small'>входящее<span>";}
else
echo " <span class='minor small'>исходящее<span>";

//непрочитано у меня
if($post['read']==0){echo "<br/>(<font color='orange'>Вы не прочитали</font>)";}
//непрочитано у собеседника
//$post_read=mysql_fetch_array(mysql_querll("SELECT `read` FROM `kolhoz_mail` WHERE `id`='".($post['id']-1)."'"));
//if($post_read['read']==0){echo " <font color='#BDB76B'>*</font>";}


echo "<br/><span class='minor small'><span>".vremja($post['time'])."</span></span><br/>"; 
if ($post['msg']!=NULL){$string = htmlspecialchars(mb_substr($post['msg'],0,20,'utf-8')); echo'<font color="#556B2F">'.$string.'..</font><br/>';}
if($post['read']==0){echo "<img src='img/icons/mail.png' alt=''> <a href='?mail&msg=$post[id]'><font color='#00FF7F'>Читать новое</font></a>";}
$post_read=mysql_fetch_array(mysql_querll("SELECT `read` FROM `kolhoz_mail` WHERE `id`='".($post['id']-1)."'"));
if($post['read']==1){echo "<img width='12' height='12' src='img/mail/mail_of.png' alt=''> <a href='?mail&msg=$post[id]'><font color='#A0522D'>Просмотреть</font></a>";}
echo "</div>";

}
if($k_page>1)str("?mail".(isset($_GET['new'])?"&new":null)."".(isset($history)?"&history=$history[id]":null)."&",$k_page,$page); // Вывод страниц
echo "</div>";
echo "<div class='block'><span class='minor small'>Внимание! Сообщения хранятся в почте <span class='title'>7 дней</span>, по истечении срока жизни сообщения <span class='title'>удаляются</span> автоматически.</span></div>";
include_once 'inc/foot.php';
}
?>